package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 tb_cf_reply
 *
 * @author lipengjun
 * @date 2019-11-18 15:10:45
 */
public class TbCfReplyEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 回复ID
     */
    private String id;
    /**
     * 回复类型 0：商品 1：社区
     */
    private Integer replyType;
    /**
     * 评论ID
     */
    private String commentId;
    /**
     * 回复人
     */
    private String userId;
    /**
     * 回复对象
     */
    private String toUserId;
    /**
     * 回复内容
     */
    private String replyMessage;
    /**
     * 删除标志 0：正常 1：已删除
     */
    private Integer delFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 设置：回复ID
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取：回复ID
     */
    public String getId() {
        return id;
    }
    /**
     * 设置：回复类型 0：商品 1：社区
     */
    public void setReplyType(Integer replyType) {
        this.replyType = replyType;
    }

    /**
     * 获取：回复类型 0：商品 1：社区
     */
    public Integer getReplyType() {
        return replyType;
    }
    /**
     * 设置：评论ID
     */
    public void setCommentId(String commentId) {
        this.commentId = commentId;
    }

    /**
     * 获取：评论ID
     */
    public String getCommentId() {
        return commentId;
    }
    /**
     * 设置：回复人
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：回复人
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：回复对象
     */
    public void setToUserId(String toUserId) {
        this.toUserId = toUserId;
    }

    /**
     * 获取：回复对象
     */
    public String getToUserId() {
        return toUserId;
    }
    /**
     * 设置：回复内容
     */
    public void setReplyMessage(String replyMessage) {
        this.replyMessage = replyMessage;
    }

    /**
     * 获取：回复内容
     */
    public String getReplyMessage() {
        return replyMessage;
    }
    /**
     * 设置：删除标志 0：正常 1：已删除
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 获取：删除标志 0：正常 1：已删除
     */
    public Integer getDelFlag() {
        return delFlag;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取：更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }
}
